> ## Documentation Index
> Fetch the complete documentation index at: https://docs.artu.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Count addresses matching filter



## OpenAPI

````yaml /openapi/addresses.json post /addresses/count
openapi: 3.1.1
info:
  title: ARTU Compliance API
  version: 1.0.0
  description: 'API for compliance management. Documentation: https://docs.artu.ai'
servers:
  - url: https://api.artu.ai
security:
  - bearerAuth: []
    environmentHeader: []
paths:
  /addresses/count:
    post:
      tags:
        - Addresses
      summary: Count addresses matching filter
      operationId: addresses.count
      requestBody:
        required: false
        content:
          application/json:
            schema:
              type: object
              properties:
                filter:
                  type: object
                  properties:
                    id:
                      anyOf:
                        - type: string
                          format: uuid
                        - type: object
                          properties:
                            eq:
                              type: string
                              format: uuid
                            in:
                              type: array
                              items:
                                type: string
                                format: uuid
                            nin:
                              type: array
                              items:
                                type: string
                                format: uuid
                      description: ID
                    clientId:
                      anyOf:
                        - type: string
                          format: uuid
                        - type: object
                          properties:
                            eq:
                              type: string
                              format: uuid
                            in:
                              type: array
                              items:
                                type: string
                                format: uuid
                            nin:
                              type: array
                              items:
                                type: string
                                format: uuid
                      description: Client ID
                    type:
                      anyOf:
                        - enum:
                            - home
                            - business
                            - mailing
                            - legal
                            - other
                          type: string
                        - type: object
                          properties:
                            eq:
                              enum:
                                - home
                                - business
                                - mailing
                                - legal
                                - other
                              type: string
                            in:
                              type: array
                              items:
                                enum:
                                  - home
                                  - business
                                  - mailing
                                  - legal
                                  - other
                                type: string
                            nin:
                              type: array
                              items:
                                enum:
                                  - home
                                  - business
                                  - mailing
                                  - legal
                                  - other
                                type: string
                      description: Type
                    scope:
                      anyOf:
                        - enum:
                            - base
                            - MX:AV
                            - MX:AV:ARI
                            - MX:AV:AVI
                            - MX:AV:INM
                            - MX:AV:JYS
                            - MX:AV:MJR
                            - MX:AV:MPC
                            - MX:AV:TSC
                            - MX:AV:VEH
                            - MX:CNBV
                            - MX:CNBV:TRANSMISOR
                            - MX
                          type: string
                        - type: object
                          properties:
                            eq:
                              enum:
                                - base
                                - MX:AV
                                - MX:AV:ARI
                                - MX:AV:AVI
                                - MX:AV:INM
                                - MX:AV:JYS
                                - MX:AV:MJR
                                - MX:AV:MPC
                                - MX:AV:TSC
                                - MX:AV:VEH
                                - MX:CNBV
                                - MX:CNBV:TRANSMISOR
                                - MX
                              type: string
                            in:
                              type: array
                              items:
                                enum:
                                  - base
                                  - MX:AV
                                  - MX:AV:ARI
                                  - MX:AV:AVI
                                  - MX:AV:INM
                                  - MX:AV:JYS
                                  - MX:AV:MJR
                                  - MX:AV:MPC
                                  - MX:AV:TSC
                                  - MX:AV:VEH
                                  - MX:CNBV
                                  - MX:CNBV:TRANSMISOR
                                  - MX
                                type: string
                            nin:
                              type: array
                              items:
                                enum:
                                  - base
                                  - MX:AV
                                  - MX:AV:ARI
                                  - MX:AV:AVI
                                  - MX:AV:INM
                                  - MX:AV:JYS
                                  - MX:AV:MJR
                                  - MX:AV:MPC
                                  - MX:AV:TSC
                                  - MX:AV:VEH
                                  - MX:CNBV
                                  - MX:CNBV:TRANSMISOR
                                  - MX
                                type: string
                      description: Scope
                    city:
                      anyOf:
                        - type: string
                        - type: object
                          properties:
                            eq:
                              type: string
                            contains:
                              type: string
                            startsWith:
                              type: string
                            endsWith:
                              type: string
                            in:
                              type: array
                              items:
                                type: string
                            nin:
                              type: array
                              items:
                                type: string
                      description: City
                    state:
                      anyOf:
                        - type: string
                        - type: object
                          properties:
                            eq:
                              type: string
                            contains:
                              type: string
                            startsWith:
                              type: string
                            endsWith:
                              type: string
                            in:
                              type: array
                              items:
                                type: string
                            nin:
                              type: array
                              items:
                                type: string
                      description: State
                    country:
                      anyOf:
                        - type: string
                        - type: object
                          properties:
                            eq:
                              type: string
                            contains:
                              type: string
                            startsWith:
                              type: string
                            endsWith:
                              type: string
                            in:
                              type: array
                              items:
                                type: string
                            nin:
                              type: array
                              items:
                                type: string
                      description: Country
                    externalId:
                      anyOf:
                        - type: string
                        - type: object
                          properties:
                            eq:
                              type: string
                            contains:
                              type: string
                            startsWith:
                              type: string
                            endsWith:
                              type: string
                            in:
                              type: array
                              items:
                                type: string
                            nin:
                              type: array
                              items:
                                type: string
                      description: External ID
                    createdAt:
                      anyOf:
                        - type: string
                          format: date-time
                        - type: object
                          properties:
                            eq:
                              type: string
                              format: date-time
                            gt:
                              type: string
                              format: date-time
                            gte:
                              type: string
                              format: date-time
                            lt:
                              type: string
                              format: date-time
                            lte:
                              type: string
                              format: date-time
                      description: Created At
                    updatedAt:
                      anyOf:
                        - type: string
                          format: date-time
                        - type: object
                          properties:
                            eq:
                              type: string
                              format: date-time
                            gt:
                              type: string
                              format: date-time
                            gte:
                              type: string
                              format: date-time
                            lt:
                              type: string
                              format: date-time
                            lte:
                              type: string
                              format: date-time
                      description: Updated At
                    metadataFilters:
                      type: array
                      items:
                        type: object
                        properties:
                          key:
                            type: string
                          value:
                            type: string
                        required:
                          - key
                          - value
                      description: Metadata Filters
                    scopeData:
                      type: object
                      properties:
                        MX:
                          type: object
                          properties:
                            neighborhood:
                              anyOf:
                                - type: string
                                - type: object
                                  properties:
                                    eq:
                                      type: string
                                    contains:
                                      type: string
                                    startsWith:
                                      type: string
                                    endsWith:
                                      type: string
                                    in:
                                      type: array
                                      items:
                                        type: string
                                    nin:
                                      type: array
                                      items:
                                        type: string
                              description: Neighborhood
                            municipality:
                              anyOf:
                                - type: string
                                - type: object
                                  properties:
                                    eq:
                                      type: string
                                    contains:
                                      type: string
                                    startsWith:
                                      type: string
                                    endsWith:
                                      type: string
                                    in:
                                      type: array
                                      items:
                                        type: string
                                    nin:
                                      type: array
                                      items:
                                        type: string
                              description: Municipality
                      description: JurisdictionUtils
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  count:
                    type: integer
                    minimum: -9007199254740991
                    maximum: 9007199254740991
                required:
                  - count
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API Key
      description: API key authentication. Obtain your API key from the dashboard.
    environmentHeader:
      type: apiKey
      in: header
      name: X-Environment
      description: Target environment for the request. Must be "test" or "live".

````